export.filter {xps} | R Documentation

## Export filter data as text files

### Description

Export data from classes `FilterTreeSet` or `AnalysisTreeSet` to `outfile`.

### Usage

    export.filter(xps.fltr, treename = "*", treetype = character(0), varlist = "*", outfile = character(0), sep = "\t", as.dataframe = FALSE, verbose = TRUE)

### Arguments

`xps.fltr` | an object of type `FilterTreeSet` or `AnalysisTreeSet`.
`treename` | tree name to export.
`treetype` | type of tree(s) to export, 'pfr', 'ufr' or 'stt'.
`varlist` | names of tree leaves to export.
`outfile` | name of output file.
`sep` | column separator
`as.dataframe` | if `TRUE` a data.frame will be returned.
`verbose` | logical, if `TRUE` print status information.

### Details

Export data from classes `FilterTreeSet`, or `AnalysisTreeSet` to `outfile`.

Parameter `varlist` lists the parameters to export:
- parameters are separated by ":", e.g. `varlist="fUnitName:fFlag"`.
- for `varlist="*"` all valid parameters will be exported.

For class `FilterTreeSet` the following `varlist` parameters are valid:

| `fUnitName`: | unit name (probeset ID).
| `fFlag`: | mask.

For class `AnalysisTreeSet` `varlist` can contain annotation parameters and parameters of the resulting data.
Following `varlist` annotation parameters are valid:

| `fUnitName`: | unit name (probeset ID).
| `fTranscriptID`: | transcript_id (probeset ID).
| `fName`: | gene name.
| `fSymbol`: | gene symbol.
| `fAccession`: | mRNA accession such as Refseq ID.
| `fEntrezID`: | entrez ID.
| `fChromosome`: | chromosome.
| `fStart`: | start position.
| `fStop`: | stop position.
| `fStrand`: | strand on chromosome.
| `fCytoBand`: | cytoband.

For class `AnalysisTreeSet` the following `varlist` parameters are valid:

| `mn1`: | mean of group 1.
| `mn2`: | mean of group 2.
| `fc`: | fold-change fc=mn2/mn1.
| `se`: | standard error.
| `df`: | degree of freedom.
| `stat`: | t-statistic.
| `pval`: | p-value.
| `nper`: | number of permutations.
| `pcha`: | p-chance.
| `padj`: | adjusted p-value.
| `flag`: | flag.
| `mask`: | only rows with `flag=1` will be exported.

### Value

If `as.dataframe` is `TRUE`, the data will be imported into the current R session as `data.frame`. Otherwise, `NULL` will be returned.

### Author(s)

Christian Stratowa

### See Also

`export-methods`

[Package xps version 1.2.10 Index]